# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`winhttp_proxy`](#winhttp_proxy): Manage Windows system proxy (i.e. WinHTTP Proxy) settings.

## Resource types

### <a name="winhttp_proxy"></a>`winhttp_proxy`

Manage Windows system proxy (i.e. WinHTTP Proxy) settings.

#### Properties

The following properties are available in the `winhttp_proxy` type.

##### `bypass_list`

An array of sites that should be visited bypassing the proxy
  (use "<local>" to bypass all short name hosts).

Examples:
* ['*.foo.com']
* ['<local>', 'example.org']

##### `ensure`

Valid values: `present`, `absent`

How to ensure proxy settings are defined

Default value: `present`

##### `proxy_server`

%{Proxy server for use for http and/or https protocol.

Examples:
* myproxy
* myproxy:80
* http=proxy.example.com;https=proxy.example.org}

#### Parameters

The following parameters are available in the `winhttp_proxy` type.

* [`name`](#-winhttp_proxy--name)
* [`provider`](#-winhttp_proxy--provider)

##### <a name="-winhttp_proxy--name"></a>`name`

Valid values: `proxy`

namevar

Resource name. Should be "proxy".

##### <a name="-winhttp_proxy--provider"></a>`provider`

The specific backend to use for this `winhttp_proxy` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

